/*
 * App.cpp
 *
 *  Created on: Jun 23, 2015
 *      Author: daniel
 */

#include <Wt/WConfig.h>
#include <iostream>
#include <Wt/WApplication>
#include <Wt/WEnvironment>
#include <Wt/WGlobal>
#include <Wt/WMessageResourceBundle>
#include <Wt/WServer>
#include <Wt/WString>
#include <Wt/WTemplate>
#include <Wt/WText>

using namespace Wt;


class TemplateErr : public WApplication{
public:
    TemplateErr(const Wt::WEnvironment& env) :
        WApplication(env)
    {
        messageResourceBundle().use("msg/templateErr");

        WTemplate *t = new WTemplate(WString::tr("template"), root());
        t->bindString("bindStr", WString::tr("accent"));
        t->bindWidget("bindWdg", new WText(WString::tr("accent")));
    }
};


WApplication *createApp(const WEnvironment& env) {
    return new TemplateErr(env);
}

int main(int argc, char** argv)
{
    try
    {
        // setup server
        WServer server(argv[0]);
        server.setServerConfiguration(argc, argv, WTHTTP_CONFIGURATION);
        server.addEntryPoint(Wt::Application, &createApp);

        if (server.start())
        {
            Wt::WServer::waitForShutdown();
            server.stop();
        }
    }
    catch (Wt::WServer::Exception& e)
    {
        std::cerr << "exception: " << e.what() << std::endl;
    }
    catch (std::exception& e)
    {
        std::cerr << "exception: " << e.what() << std::endl;
    }
}


